%define major 1
%define libname %mklibname xdamage %{major}
%define devname %mklibname xdamage -d

Summary:	X Damage library
Name:		libxdamage
Version:	1.1.4
Release:	2
License:	MIT
Group:		System/Libraries
Url:		http://xorg.freedesktop.org
Source0:	http://xorg.freedesktop.org/releases/individual/lib/libXdamage-%{version}.tar.bz2
BuildRequires:	x11-util-macros
BuildRequires:	x11-proto-devel
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xfixes)

%description
X Damage library.

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	X Damage shared library
Group:		System/Libraries
Provides:	%{name} = %{EVRD}

%description -n %{libname}
X Damage shared library.

%files -n %{libname}
%{_libdir}/libXdamage.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/X11
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Obsoletes:	%{_lib}xdamage1-devel < 1.1.3
Obsoletes:	%{_lib}xdamage-static-devel < 1.1.3

%description -n %{devname}
Development files for %{name}

%files -n %{devname}
%{_libdir}/libXdamage.so
%{_libdir}/pkgconfig/xdamage.pc
%{_includedir}/X11/extensions/Xdamage.h

#----------------------------------------------------------------------------

%prep
%setup -qn libXdamage-%{version}

%build
%configure2_5x \
	--disable-static \
	--x-includes=%{_includedir} \
	--x-libraries=%{_libdir}

%make

%install
%makeinstall_std


%changelog

* Mon Dec 07 2015 Evgenii Shatokhin <eugene.shatokhin@rosalab.ru> 1.1.4-2
- (fb6e50b) Release up for a rebuild


